v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/inventory/kits/location
Updates kit location. Rights: OrsInventoryPost and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest object to update kit location.
Show Source
-
kitFilters: object
KitFiltersRequest v1.0
Title:
KitFiltersRequest v1.0Request object for kit filters. -
kits: array
Kits
Title:
KitsList of kit IDs. -
location: string
(uuid)
Location of the kit.
-
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason.Example:kit damaged by subject
Nested Schema : KitFiltersRequest v1.0
Type:
objectTitle:
KitFiltersRequest v1.0Request object for kit filters.
Show Source
-
kitRange: string
Kit range.Example:
SEQUENCE_NUMBER:900:1200 -
kitStatus: string
Kit status ID.Example:
1 -
kitTypeId: string
(uuid)
Title:
Kit Type IDKit type identifier. -
labelGroupId: string
Label group ID.Example:
B1B8327AFAA6412287106192AB5984EF -
location: string
Location.Example:
ALL_SITES -
lotId: string
(uuid)
Title:
Lot IDLot ID.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : IDResponse v1.0
Type:
objectTitle:
IDResponse v1.0Response containing the identifier.
Show Source
Examples
400 Response
Invalid location OR Specify at least one filter OR Either kits or kitFilters is required. OR Invalid kit OR Invalid kit status OR Invalid kit range filter OR Invalid label group in kit filters OR Invalid kit type OR Invalid Lot OR Invalid location
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples